curl --request GET \
--url https://api.example.com/api/v1/fees/lightning/receive \
--header 'Authorization: Bearer <token>'{
"fee_sat": 1,
"gross_amount_sat": 1,
"net_amount_sat": 1,
"vtxos_spent": [
"<string>"
]
}Estimates the fee for receiving the specified amount over Lightning. The gross amount is the Lightning payment amount, and the net amount is what the user receives as a VTXO after the Ark server deducts its fee.
curl --request GET \
--url https://api.example.com/api/v1/fees/lightning/receive \
--header 'Authorization: Bearer <token>'{
"fee_sat": 1,
"gross_amount_sat": 1,
"net_amount_sat": 1,
"vtxos_spent": [
"<string>"
]
}Documentation Index
Fetch the complete documentation index at: https://second.tech/docs/llms.txt
Use this file to discover all available pages before exploring further.
Base64url-encoded auth token
The amount in satoshis to receive over Lightning
x >= 0Returns the fee estimate
A fee estimate for an Ark wallet operation.
The fee portion (in satoshis)
x >= 0The total amount including fees (in satoshis)
x >= 0The amount excluding fees (in satoshis). For sends, this is the amount the recipient receives. For receives, this is the amount the user gets.
x >= 0The VTXOs that would be spent for this operation
Was this page helpful?